Bug 1023774 - Review Request: golang-github-goerlang-port - Simple API to write Erlang ports in Go
Review Request: golang-github-goerlang-port - Simple API to write Erlang port...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vincent Batts
Fedora Extras Quality Assurance
Depends On: 1010713
Blocks: 1023776
  Show dependency treegraph
Reported: 2013-10-27 15:09 EDT by Peter Lemenkov
Modified: 2016-04-28 11:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-04-28 11:27:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
tweaks on spec (1.88 KB, patch)
2014-07-21 14:45 EDT, Vincent Batts
no flags Details | Diff

  None (edit)
Description Peter Lemenkov 2013-10-27 15:09:32 EDT
Spec URL: http://peter.fedorapeople.org/golang-github-goerlang-port.spec
SRPM URL: http://peter.fedorapeople.org/golang-github-goerlang-port-0-0.1.20130117git45ea699.fc21.src.rpm
Description: Simple API to write Erlang ports in Go
Fedora Account System Username: peter
Comment 1 Vincent Batts 2014-07-21 14:45:32 EDT
Created attachment 919733 [details]
tweaks on spec

a few comments to accommodate the attached patch:
* remove macro boilerplate, to use the golang provided macros
* include golang as a BuildRequires
* preserve timestamps when copying
* check the tests they provide
* don't own the directories that the golang rpm owns
Comment 2 Vincent Batts 2014-07-21 14:49:28 EDT
also, it may be helpful to include the 'pingpong' directory. either as %doc, or just in place as a reference.

Note You need to log in before you can comment on or make changes to this bug.